package com.ruoyi.mall.mapper;

import com.ruoyi.mall.domain.MallSchoolTag;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 学校标签分类idMapper接口
 *
 * @author Lsm
 * @date 2023-10-18
 */
public interface MallSchoolTagMapper
{
    /**
     * 查询学校标签分类id
     *
     * @param schoolTagId 学校标签分类id主键
     * @return 学校标签分类id
     */
    public MallSchoolTag selectMallSchoolTagBySchoolTagId(Long schoolTagId);

    /**
     * 查询学校标签分类id列表
     *
     * @param mallSchoolTag 学校标签分类id
     * @return 学校标签分类id集合
     */
    public List<MallSchoolTag> selectMallSchoolTagList(MallSchoolTag mallSchoolTag);

    /**
     * 新增学校标签分类id
     *
     * @param mallSchoolTag 学校标签分类id
     * @return 结果
     */
    public int insertMallSchoolTag(MallSchoolTag mallSchoolTag);

    /**
     * 修改学校标签分类id
     *
     * @param mallSchoolTag 学校标签分类id
     * @return 结果
     */
    public int updateMallSchoolTag(MallSchoolTag mallSchoolTag);

    /**
     * 删除学校标签分类id
     *
     * @param schoolTagId 学校标签分类id主键
     * @return 结果
     */
    public int deleteMallSchoolTagBySchoolTagId(Long schoolTagId);

    /**
     * 批量删除学校标签分类id
     *
     * @param schoolTagIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallSchoolTagBySchoolTagIds(Long[] schoolTagIds);

    /**
     * 标签列表
     * @param tagIds 标签ids
     * @return 结果
     */
    public List<String> selectTagByTagId(@Param("tagIds")String tagIds);


    /**
     * 学校标签列表
     * @return 结果
     */
    public List<MallSchoolTag> selectTagList();
}
